### ====================================================================
### Makefile for the precision-independent common files in the Java
### implementation of the ELEFUNT package.
###
### Current target list:
###	all			make all .class files and tallsp.lst
###				test output
###	check			dummy target
###	clean			remove intermediate files that make can
###				rebuild
###	clobber			same as distclean
###	distclean		same as mostlyclean
###	lst-files		make t*.lst test output files
###	install			dummy target
###	maintainer-clean	do NOT use this target (for maintainer only)
###	mostlyclean		same as clean
###	uninstall		dummy target
###
### [28-May-2002]
### ====================================================================

JAVA		= java

JAVAFLAGS	=

JAVAC		= javac

JAVACFLAGS	=

JAVAENV		= env CLASSPATH=.:../common

LN		= ln -f

LST		= lst

NAME		= xxx

OUT		= $(LST)-$(NAME)

RM		= /bin/rm -f

SHELL		= /bin/sh

### ====================================================================

CLASSFILES	= $(JAVAFILES:.java=.class)

JAVAFILES       = elefunt.java ipow.java machar.java ran.java randl.java \
		  store.java tallsp.java talog.java tasin.java tatan.java \
		  texp.java tmachar.java tpower.java tsin.java tsinh.java \
		  tsqrt.java ttan.java ttanh.java

TESTFILES       = talog.java tasin.java tatan.java texp.java tmachar.java \
		  tpower.java tsin.java tsinh.java tsqrt.java ttan.java \
		  ttanh.java

### ====================================================================

.SUFFIXES:
.SUFFIXES:	.lst .class .java

.class.lst:
	$(JAVAENV) $(JAVA) $(JAVAFLAGS) $* >$@
	$(LN) $@ $*.$(OUT)

.java.class:
	$(JAVAENV) $(JAVAC) $(JAVACFLAGS) $<

### ====================================================================

all:	$(CLASSFILES) tallsp.lst

check:
	@echo There is no validation suite in this package.

clean:
	(cd ../common; make $@)
	-$(RM) *.class
	-$(RM) *.i
	-$(RM) *.o
	-$(RM) *~
	-$(RM) \#*
	-$(RM) a.out
	-$(RM) core

clobber:	distclean

distclean:	mostlyclean
	(cd ../common; make $@)
	-$(RM) *.$(LST) *.$(LST)-xxx *.$(OUT)

install:

lst-files:	$(TESTFILES:.java=.lst)

maintainer-clean:	distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

mostlyclean:	clean
	(cd ../common; make $@)

uninstall:
